# Class EarPlugin

java.lang.Object
org.gradle.plugins.ear.EarPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class EarPlugin extends Object implements Plugin<Project>

A `Plugin` with tasks which assemble a web application into a EAR file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEPLOY_CONFIGURATION_NAME`
`static final String`
`EAR_TASK_NAME`
`static final String`
`EARLIB_CONFIGURATION_NAME`

## Constructor Summary

Constructors
Constructor
Description
`EarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.file.FileResolver fileResolver)`
Injects an `ObjectFactory` and a `FileResolver` instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EAR_TASK_NAME

public static final String EAR_TASK_NAME

See Also:
  - Constant Field Values

### DEPLOY_CONFIGURATION_NAME

public static final String DEPLOY_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### EARLIB_CONFIGURATION_NAME

public static final String EARLIB_CONFIGURATION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### EarPlugin

@Inject public EarPlugin(ObjectFactory objectFactory, org.gradle.api.internal.file.FileResolver fileResolver)
Injects an `ObjectFactory` and a `FileResolver` instance.

Since:
  4.2

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object